Vaccination Details API
Introduction
This API can be used to fetch your vaccination certificate along with other necessary information.
How to call the API
You will need to login before sending Vaccination Details API request. You are required to pass the access token received from the login call, as authorization header in the request for Vaccination Details API along with other parameters.
API Input Guidelines
Use the request ID you received from Generate OTP API.
Sample Curl
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/..patronId../vaccine' \
--header 'Accept: */*' \
--header 'Accept-Language: en-US,en;q=0.8' \
--header 'Authorization: <token>' \
--header 'content-type: application/json' \
--data-raw '{
"task": "vaccinationDetails",
"essentials": {
"requestId": <request Id>",
"otp": "<OTP received on registered mobile number>"
}
}'Input Parameters
Parameter Name | Required/Optional | Description |
|---|---|---|
Authorization | Required | Contains the id parameter returned from the login step |
content-type | Required | application/json |
task | Required | Type of task - generateOTP |
essentials | Required | Contains the essential input data |
essentials.requestId | Required | Request ID received using generate OTP API |
essentials.otp | Required | OTP received on the registered mobile number |
Sample API Response
{
"mobileNumber": " ",
"details": [
{
"name": " ",
"birthYear": " ",
"gender": "Female",
"photoIdType": "Aadhaar Card",
"photoIdNumber": " ",
"comorbidity": false,
"status": "Vaccinated",
"vaccine": "COVISHIELD",
"doseOneDate": " ",
"doseTwoDate": " ",
"appointments": [
{
"appointmentId": " ",
"centerId": ,
"centerName": " ",
"state": " ",
"district": " ",
"block": " ",
"sessionFrom": " ",
"sessionTo": " ",
"dose": 1,
"date": " ",
"slotTime": " "
},
{
"appointmentId": " ",
"centerId": ,
"centerName": " ",
"state": " ",
"district": " ",
"block": " ",
"sessionFrom": " ",
"sessionTo": " ",
"dose": 2,
"date": " ",
"slotTime": " "
}
],
"certificate": " "
},
{
"name": " ",
"birthYear": " ",
"gender": " ",
"photoIdType": "Aadhaar Card",
"photoIdNumber": " ",
"comorbidity": false,
"status": " ",
"vaccine": "",
"doseOneDate": "",
"doseTwoDate": "",
"appointments": [],
"certificate": ""
}
]
}Response Parameters
Parameter Name | Description |
|---|---|
essentials | Contains the essential output data |
essentials.requestId | Request ID from generate OTP API |
essentials.otp | OTP received in registered mobile number |
id | The access token that was received during login request |
patronId | This parameter is returned as userId parameter of login request. |
task | task - vaccinationDetails |
result | Object that contains the vaccinations information |
result.mobileNumber | Registered Mobile Number |
details.name | Name of the certificate holder |
details.birthYear | Year of birth of the certificate holder |
details.gender | gender of the certificate holder |
details.photoIdType | ID that is submitted during vaccination (Adhaar,PAN etc) |
details.photoIdNumber | ID card number (Adhaar no. for eg) |
details.status | Vaccinated or not |
details.vaccine | Covaccine or Covishield |
details.doseOneDate | Date of first dosage |
details.doseTwoDate | Date of second dosage |
details.certificate | Download link of the certificate |
details.appointments | Vaccination appointments details |
appointments.appointmentId | Unique appointment ID |
appointments.centerId | ID of the vaccination center |
appointments.centerName | Name of the vaccination center |
appointments.state | Name of the state where the center resides |
appointments.district | Name of the district where the center resides |
appointments.block | Name of the block where the center resides |
appointments.dose | Number of doses |
appointments.date | Date of the appointment |
appointments.slotTime | Time slot for vaccination |
details.certificate | Vaccination Certificate |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].